apt-file (3.1.6) unstable; urgency=medium

  * Fix typo in the changelog
  * Update Vcs-* fields to point to salsa.debian.org.
  * Bump Standards-Versions to 4.1.4 - No changes required.
  * Bump debhelper compat 11 via the new "debhelper-compat"
    dependency.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Apr 2018 09:43:50 +0000

apt-file (3.1.5) unstable; urgency=medium

  * Remove rapt-file and two obsolete .sgml files from the source.
  * Set R³ to no; apt-file does not need (fake)root during the
    binary-targets in the package builds.
  * Skip dh_strip_nondeterminism; it is a no-op at the moment and
    is planned to be removed eventually.
  * Set debhelper compat to 10.
  * Bump Standards-Version to 4.1.1 - no additional changes
    required.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Oct 2017 10:47:05 +0000

apt-file (3.1.4) unstable; urgency=medium

  * Fix typo in 60disable-contents-fetching.conf.  Thanks to
    Felix Geyer for spotting it.  (Closes: #843453)
  * apt-file: Fix two spelling mistakes in the --help output.
    Thanks to "axhn" on IRC and Guillem Jover for spotting
    them.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Jan 2017 20:39:04 +0000

apt-file (3.1.3) unstable; urgency=medium

  * apt-file: Gracefully handle if origins (or suites) have spaces
    in them.  (Closes: #843401, #843403)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2016 15:03:52 +0000

apt-file (3.1.2) unstable; urgency=medium

  [ Niels Thykier ]
  * apt-file: Strip Contents header without discarding results (Closes: #676642)
  * apt-file: Restructure --help output.
  * apt-file: Support --filter-suites and --filter-origins options.  These
    make it possible to only search in (e.g.) Debian/unstable even if
    other origins or/and suites are downloaded.
  * apt-file.1: Clarify that --config-file and --option can be used to
    overwrite other command line parameters.

  [ Paul Wise ]
  * Make the package filter regex match the sectionless Contents-source format
  * Strip the Contents header from the sid cache in the tests

  [ Time Potter ]
  * Fix typo in apt-file manpage.  (Closes: #843122)

 -- Niels Thykier <niels@thykier.net>  Sat, 05 Nov 2016 15:54:12 +0000

apt-file (3.1.1) unstable; urgency=medium

  * apt-file: Fix off-by-one causing "uninitialized value"
    warning.  Thanks to Paul Wise for reporting the issue.
    (Closes: #838296)
  * apt-file: Use "apt-get" instead of "apt" for the update
    command if STDOUT is not a TTY.  This is to avoid a
    warning from apt about it being unsuitable for scripts.

 -- Niels Thykier <niels@thykier.net>  Wed, 21 Sep 2016 18:53:01 +0000

apt-file (3.1) unstable; urgency=medium

  * Move apt-file under the APT packaging team.
  * apt-file: Fix bug in handling patterns starting with "-".
    Thanks to Paul Wise for reporting the issue.
    (Closes: #821016)
  * apt-file: Fix bug where package listing did not work if the
    Contents files did not include sections.  Thanks to
    "Unit 193" for the report.  (Closes: #820560)
  * apt-file-2-update.sh: Correct path to the "partial" directory.
    Thanks to Ritesh Raj Sarraf for the report.  (Closes: #832131)
  * apt-file, 50apt-file.conf: Support fetching of Contents files
    in legacy locations (as used by Ubuntu) by default.  This
    requires apt 1.3.
  * apt-file: Support setting a default value for -I/--index-names
    in the apt config file.  Thanks to Cyril Brulebois for the
    suggestion (part of #825293)
  * apt-file: Accept "ALL" as a special index name for -I.  When
    given, apt-file will search all of its indices.  Thanks to
    Cyril Brulebois for the suggestion (part of #825293).
  * debian/NEWS: Clarify that the indices for source packages and
    udebs are disabled in the apt-file 2 -> 3 transition.  These
    must be manually reabled.  Thanks to Cyril Brulebois for the
    report.  (Closes: #825293)
  * apt-file: Exit with an error if a subprocess exits non-zero
    (except for grep) or is killed by a signal.  Thanks to
    Paul Wise for the suggestion.  (Closes: #825883)
  * Set debhelper compat to "beta-tester" and bump the minimum
    requirements for debhelper to 10.
  * Bump Standards-Versions to 3.9.8 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Sep 2016 09:59:50 +0000

apt-file (3.0) unstable; urgency=low

  * Upload to unstable.
  * d/bash-completion: Update bash-completion to include the
    new command line options.
  * apt-file-2-update.sh: Fix a bug in --uninstall, where it would
    not remove /etc/apt/apt-file.conf
  * 50apt-file.conf: Disable Contents-dsc by default.  They are
    vastly more resource heavy than the rest.
  * README: Document how to change which Contents files are
    downloaded.
  * d/changelog: Add some missing "LP:"-closes in the 3.0~exp entry.
  * Merge and improve the NEWS entries for the experimental apt-file
    3.0 uploads.
  * Drop update-notifier scripts since update-notifier has been
    removed from Debian.
  * d/control: Bump Standards-Versions to 3.9.7 - no changes
    required.

 -- Niels Thykier <niels@thykier.net>  Tue, 22 Mar 2016 11:51:27 +0000

apt-file (3.0~exp4) experimental; urgency=medium

  * apt-file: Read /etc/apt/apt-file.conf by default if it
    exists.
  * Install example configuration for how to emulate apt-file/2
    behaviour in some cases.
  * apt-file.pod: Document a how-to for two common apt-file/2
    configurations.
  * debian/NEWS: Document the existence of the new example
    configurations.
  * Make the test suite independent of the system's APT
    configuration.
  * d/control: apt-file is now maintained in a git repository.
  * d/compat: Live life at the edge - bump to compat 10.
  * d/control: Remove Enrico Zini from the list of Uploaders.
    Thanks for your work up till now!
  * Makefile: Use $(MAKE) when invoking a make.

 -- Niels Thykier <niels@thykier.net>  Tue, 12 Jan 2016 21:25:55 +0000

apt-file (3.0~exp3) experimental; urgency=medium

  * apt-file: Accept -c/-o with the same meaning as APT's
    options of same name.  They will also be passed to all
    APT commands called by apt-file.
    (Closes: #516817, #772804)
  * Add versioned Breaks on command-not-found and apt-venv.
  * apt-file(.pod): Expand and document the exit codes used by
    apt-file.
  * apt-file: Fix bug where -x and --substring-match searches
    incorrectly discarded results, where the filename had
    spaces *after* the given pattern matched.
    (Closes: #810566)
  * apt-file.pod: Document that not all APT repositories have
    Contents files.  (Closes: #712555)
  * apt-file.pod: Clarify that search defaults to
    --substring-search and list defaults to --fixed-string.
    (Closes: #766729)

 -- Niels Thykier <niels@thykier.net>  Sun, 10 Jan 2016 14:20:10 +0000

apt-file (3.0~exp2) experimental; urgency=medium

  * Remove suggests on openssh-client, which was replaced by
    using APT's acquire system.  Thanks to Jakub Wilk for
    the report.  (Closes: #809264)
  * Fix invalid warning about subprocess exiting uncleanly on
    no matches.  The grep(1) process is expected to exit non-zero
    in such cases and apt-file now gracefully handles that.
    Thanks to Jakub Wilk for the report.  (Closes: #809261)
  * Remove suggests on sudo, which is not used directly in
    apt-file.  Thanks to Jakub Wilk for the report.
    (Closes: #809276)
  * Apply patch from Jakub Wilk to fix some formatting errors
    in the apt-file manpage.  (Closes: #809277)

 -- Niels Thykier <niels@thykier.net>  Mon, 28 Dec 2015 22:31:05 +0000

apt-file (3.0~exp1) experimental; urgency=medium

  * Enable PDiffs by default for Contents files even if
    Acquire::PDiffs is set to false.
  * Remove remark about the "user cache" in the postinst
    script.  Thanks to Jakub Wilk for the report.
    (Closes: #798925)
  * Remember to remove the /etc/apt/apt-file.conf conffile.
    Thanks to Jakub Wilk for the report.  (Closes: #798926)
  * Add "-I" as short-hand for "--index-names".
  * Use "index name" rather than "index type" consistently
    in the man page.
  * Search also Contents-all by default when present to
    prepare for the advent of Contents-all files.
  * Migrate to use the new "cat-file" feature in apt-helper.
    Thanks to Julian Andres Klode for implementing it.
  * Rewrite file reading to use an xargs pipeline.
  * Add an DEP-8/autopkgtest test suite based on the build
    time tests.

 -- Niels Thykier <niels@thykier.net>  Sun, 27 Dec 2015 12:22:03 +0000

apt-file (3.0~exp) experimental; urgency=medium

  * BACKWARDS INCOMPATIBLE CHANGES:
    - diffindex-download and diffindex-rred has been removed!
      (Closes: #788780)
    - apt-file now exit with non-zero exit code when the
      query results in no matches.  (Closes: #505222)
    - apt-file no longer supports "personal" caches on its
      own.
    - apt-file show (a.k.a. list) now looks up only an exact
      package name by default.  To retain the previous
      behaviour, please use the new --substring-match option.
    - Special uses of "-a" to search in Source packages or
      udebs have been replaced by "--index-names".
    - apt-file now uses "gnu-getopt" option style parsing.
      Notably this means that "+" cannot be used for options
      any longer.
  * Rewrite apt-file to use apt's new acquire system.  By using
    apt, apt-file:
    - makes apt refresh the Contents files.
      (Closes: #476401, #594879)
    - now understands "non-release" lines.  (Closes: #297707)
    - no longer sends "double" requests.  (Closes: #663417)
    - now validates downloads correctly.  (Closes: #515942)
    - can resume downloads (like apt).  (Closes: #594879)
    - now respects Acquire::http::Dl-Limit.  (Closes: #525631)
    - supports deb822 sources.list file.  (Closes: #740978)
    - supports tor+http protocol (Closes: #764349)
    - supports "mirror" protocol (Closes: LP: #888316,
      LP: #1156717, LP: #1395988)
    - respects APT proxy settings (Closes: LP: #817517,
      LP: #767061)
    - now silently accepts that not all mirrors have Contents
      files (Closes: LP#567895, LP#619659).
    (Closes: #752292)
  * Expand the README a bit to give a quick introduction to
    apt-file and indices.
  * Rewrite the manpage from docbook to POD format.
  * Update dependency lists due to the above rewrites.
  * Remove the old apt-file cache on upgrade.  This means that
    users will have to run "apt update" after upgrading.
  * Update the "is-cache-empty" and "do-apt-file-update"
    scripts.
  * Rewrite d/rules to use debhelper "tiny" and bump the
    compat level 9.
  * Add --substring-match option to apt-file.
  * Update bash completions to match the changes.
  * Install bash-completions in their new location and drop
    old bash-completion conffile.

 -- Niels Thykier <niels@thykier.net>  Fri, 11 Sep 2015 19:49:57 +0200

apt-file (2.5.5) unstable; urgency=medium

  * diffindex-download: Ignore unknown fields in the PDiff
    Index file.  Thanks to Julien Cristau for reporting
    the issue.  (Closes: #809656)

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jan 2016 13:10:29 +0000

apt-file (2.5.4) unstable; urgency=medium

  * Apply patch from Cyril Brulebois to support searching for
    files in "udeb" packages.  This requires "debian-installer"
    entries in the sources.list and are represented by the pseudo
    "udeb-<arch>" architecture (e.g. "udeb-amd64").
    (Closes: #766295)

 -- Niels Thykier <niels@thykier.net>  Wed, 22 Oct 2014 22:05:36 +0200

apt-file (2.5.3) unstable; urgency=medium

  * No longer install rapt-file. The backend service this tool uses
    has unfortunately ceased to exist. (Closes: #729283)
  * Checked for policy 3.9.6, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 06 Oct 2014 16:07:45 +0000

apt-file (2.5.2.3) unstable; urgency=medium

  * Apply patch from Pierre-Elliott Bécue to fix a
    regression caused by the fix for #706284.
    (Closes: #754312)

 -- Niels Thykier <niels@thykier.net>  Wed, 09 Jul 2014 22:24:27 +0200

apt-file (2.5.2.2) unstable; urgency=medium

  * Avoid confusing error message caused by interpreting
    a signal number as an "errno".  Thanks to Julien Cristau
    for spotting this.  (Closes: #731056)
  * Use the name of a signal rather than its number, when
    subprocesses are kiled by such.
  * Correct the Vcs-* URL's in d/control.  Thanks to Alberto
    Fuentes for reporting this.  (Closes: #734714)
  * Bump Standards-Versions to 3.9.5 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Jun 2014 11:54:46 +0200

apt-file (2.5.2.1) unstable; urgency=medium

  * Gracefully handle spaces inside "option"-list in the
    APT sources.list.  (Closes: #706284)

 -- Niels Thykier <niels@thykier.net>  Thu, 19 Jun 2014 19:52:29 +0200

apt-file (2.5.2) unstable; urgency=low

  [ Stefan Fritsch ]
  * Properly detect failed attempt to apply patches. Closes: #687221

  [ Niels Thykier ]
  * New maintainer.  (Closes: #703366)
    Kudos to Stefan Fritsch for his work on apt-file.
  * When using "-f" and no files are given, default to stdin.
    (Closes: #703594)
  * Bump Standards-Versions to 3.9.4 - no changes required.
  * Use the canonical URIs for the Vcs-* fields.

 -- Niels Thykier <niels@thykier.net>  Sun, 05 May 2013 09:32:24 +0200

apt-file (2.5.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Fix searching for patterns that start with a '-'. This still requires
    specifying '--' before the pattern (closes: #631438, LP: #801336)
  * Unset env variables that may influence the behaviour of grep
    (closes: #617183).
  * Japanese translation of update-notifier text by Hideki Yamane
    (closes: #641199).
  * Improve man page layout and help output text. Thanks Jari Aalto for
    the patch! (Closes: #651695)
  * rapt-file: replace dpkg-architecture call with dpkg --architecture,
    obsoleting the depends-heavy recommendation on dpkg-dev. Thanks
    helix84 (Closes: #671225).
  * Checked for policy 3.9.3, no changes needed. Add explicit python
    recommendation, even though we transitively recommended it via
    python-apt already, to satisfy Lintian.
  * Add rapt-file manual page (Closes: #613005).

  [ Enrico Zini ]
  * rapt-file: Updated distribution names, now it works on wheezy.
    (Closes: #663592)
  * rapt-file: deal with missing /etc/apt/sources.list. (Closes: #636564)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 03 Jun 2012 10:26:36 +0200

apt-file (2.5.0) unstable; urgency=low

  [ Paul Wise ]
  * rapt-file: Drop python-apt wrapper shell script, detect the lack of a
    python apt module in the rapt-file python code (Closes: #619414).
  * mention rapt-file in the package description (Closes: #623632)

  [ Thijs Kinkhorst ]
  * apt-file: Include compontent in Contents file search paths so we
    use ftp-master's new Contents files locations. This may break
    compatibility with older suites that do not have this configuration
    (Closes: #624734).
  * rapt-file: Ignore files not ending in .list in sources.list.d
    (Closes: #607861).
  * rapt-file: Recommend dpkg-dev because we use dpkg-architecture
    (Closes: #613006).
  * Correct scp invocation in apt-file.conf (Closes: #624290).
  * Small packaging cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 24 Jul 2011 16:01:09 +0000

apt-file (2.4.2) unstable; urgency=low

  * Correct empty cache detection logic. Closes: #612347

 -- Stefan Fritsch <sf@debian.org>  Tue, 08 Feb 2011 00:15:17 +0100

apt-file (2.4.1) unstable; urgency=low

  * Recommend python-apt for rapt-file. Closes: #609571
  * If both the per-user cache and the system cache contain data, use the
    newer one. Closes: #609810
  * Bump standards-version (no changes)

 -- Stefan Fritsch <sf@debian.org>  Sun, 06 Feb 2011 22:45:17 +0100

apt-file (2.4.0) unstable; urgency=low

  * Add -f option to read many patterns from a file or from stdin.
  * Add -D option to search for file conflicts with a given .deb
    file. Closes: #514985
  * Add https support to default apt-file.conf. Closes: #582254. LP: #331091
  * Add options to diffindex-download to set CA certificates and to
    disable certificate verification.
  * Don't use su-to-root in update-notifier anymore and drop Suggests: menu.
    LP: #508089
  * Abort 'apt-file update' if the user pressed Control-C. LP: #499039
  * Don't append an OS error string to an error or warning message if the
    message has nothing to do with the last OS operation.
  * Convert to source format 3.0 (native).

 -- Stefan Fritsch <sf@debian.org>  Wed, 26 May 2010 22:58:20 +0200

apt-file (2.3.4) unstable; urgency=low

  * Fix diffindex-download not allowing IPv6 literall addresses in URLs.
    Closes: #581191
  * Fix bashism in cdrom section of apt-file.conf. Closes: #579050
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Wed, 12 May 2010 00:06:38 +0200

apt-file (2.3.3) unstable; urgency=low

  * Fix search for unanchored regex with leading slash (bug introduced in
    2.3.1, closes: #563688).

 -- Stefan Fritsch <sf@debian.org>  Fri, 08 Jan 2010 20:00:36 +0100

apt-file (2.3.2) unstable; urgency=low

  * Downgrade 'Recommends: menu' to 'Suggests: menu' (closes: #543353).
  * Update postinst message to mention the possibility to run 'apt-file
    update' as non-root (closes: #540905).
  * Mention in the man page that apt-file will display results from all
    components (e.g. non-free), even if those components are not listed in
    the sources.list file (closes: #552986).
  * Make the update-notifier hook also look into the user's cache before
    asking to update (closes: #534191).
  * When creating a cache in the user's home dir, print a message how to
    switch back to the system wide cache directory (closes: #541327).

 -- Stefan Fritsch <sf@debian.org>  Sun, 13 Dec 2009 12:48:19 +0100

apt-file (2.3.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Note in manpage that directories are not found (closes: #557181).

  [ Stefan Fritsch ]
  * Rework anchoring logic for package and regexp searches (closes: #557719).
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 29 Nov 2009 14:00:44 +0100

apt-file (2.3.0) unstable; urgency=low

  * Add initial version of rapt-file, which does not rely on the downloaded
    file lists, but queries dde.debian.net for every search. It does not offer
    all features of apt-file (closes: #518764).
  * Add Enrico to Uploaders.
  * Fix perl warning when $HOME is not set (closes: #527303)
  * Make diffindex-download check if stdout is a terminal instead of stdin,
    to determine if it should be quiet. This fixes 'apt-file -N' disabling
    the download progress report (closes: #526393)
  * Bump Standards-Version:
    - add support for DEB_BUILD_OPTIONS=nocheck

 -- Stefan Fritsch <sf@debian.org>  Mon, 03 Aug 2009 21:38:45 +0200

apt-file (2.2.2) unstable; urgency=low

  * diffindex-download improvements for the case when diff/Index is not available
    (LP: #316155):
    - make error message less noisy
    - don't calculate the sha1sum of the old file, it's futile anyway
    - don't redownload the full file if it has not changed

 -- Stefan Fritsch <sf@debian.org>  Mon, 16 Feb 2009 22:46:33 +0100

apt-file (2.2.1) unstable; urgency=low

  * Fix ftp download (closes: #511672).

 -- Stefan Fritsch <sf@debian.org>  Tue, 13 Jan 2009 21:04:33 +0100

apt-file (2.2.0) unstable; urgency=low

  * Ship 'diffindex-download' and 'diffindex-rred' for downloading patches
    instead of the full Contents files. Use this for http and ftp in default
    config file (closes: #373589).
  * diffindex-download uses curl with progress meter enabled by default
    (can be changed in apt-file.conf). Closes: #381613
    Therefore always depend on curl and remove dependency on wget.
  * diffindex-download prints some error messages if no connection is possible
    (closes: #357031).
  * Make 'apt-file purge' remove old content files even if the sources.list
    line has been removed in the meantime (closes: #507092).
  * Make tests not require wget or curl during build-time. Thanks James Westby
    (closes: #506554).

 -- Stefan Fritsch <sf@debian.org>  Tue, 06 Jan 2009 16:59:04 +0100

apt-file (2.1.6) unstable; urgency=low

  * Use ~/.cache/apt-file as cache directory if called as non-root user,
    but fall back to the old /var/cache/apt/apt-file. This allows to use
    'apt-file update' as non-root (closes: #443728).
  * No longer search for apt-file.conf in the current directory. Instead,
    allow to choose the config file with the APT_FILE_CONFIG environment
    variable.
  * Update bash completion (closes: #502655).
  * Add some tests and run them during build.

 -- Stefan Fritsch <sf@debian.org>  Wed, 12 Nov 2008 17:04:10 +0100

apt-file (2.1.5) unstable; urgency=low

  * Fix wrong permissions for cache directory created by old versions
    (closes: #495519).
  * Fix leading slashes being ignored when searching, a regression introduced
    by the fix for #483624 (closes: #496127).
  * Give meaningful error message if cache dir cannot be read.
  * Bump standards version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sat, 23 Aug 2008 18:56:17 +0200

apt-file (2.1.4) unstable; urgency=low

  [ Stefan Fritsch ]
  * Fix perl warning during apt-file update (closes: #484292).
  * Fix perl warning in some regexp searches (closes: #487856).

  [ Thijs Kinkhorst ]
  * Make instruction about apt-file update in postinst more
    generic (Closes: #489821).

 -- Stefan Fritsch <sf@debian.org>  Wed, 09 Jul 2008 00:02:03 +0200

apt-file (2.1.3) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Recommend menu rather than depend on it since it's not strictly
    necessary (Closes: #483406).

  [ Stefan Fritsch ]
  * Fix substring search when absolute path is given (Closes: #483624).

 -- Stefan Fritsch <sf@debian.org>  Sat, 31 May 2008 16:14:21 +0200

apt-file (2.1.2) unstable; urgency=low

  * Add new option --non-interactive/-N to skip schemes that may require user
    interaction during 'apt-file update'. This is useful for cron jobs.
  * Change BEGIN block to make 'perl -c' work.
  * Accept 'false' as an alias for 'DIRECT' in apt's proxy configuration
    (closes: #476961) and ignore case. Also print the selected proxy
    in verbose mode.
  * Run perltidy on the source code.

 -- Stefan Fritsch <sf@debian.org>  Sun, 18 May 2008 19:15:26 +0200

apt-file (2.1.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Fix dashism (!) in is-cache-empty (Closes: #472592).
  * Ship cache dir in package to prevent warnings while apt-file
    has not yet been run (closes: #474545).
  * Add docbook build-depends for manpages.

  [ Stefan Fritsch ]
  * With curl, use -f to abort on any error and not just on 404s.
  * Allow absolute paths for commands in apt-file.conf.
  * Do not reorder commands' STDOUT and STDERR.
  * Make is-cache-empty ignore *tmp (closes: #474227).
  * Extract proxy information from apt config and set environment variables
    accordingly (closes: #350716).
  * Slightly increase speed of regexp searches.
  * Use package version in 'apt-file --version' output.
  * Clarify pattern syntax in man page (closes: #474334).
  * Clarify use of --architecture option in man page (closes: #472807).
  * Handle debtorrent: urls in sources.list (thanks to Jö Fahlke,
    closes: #461315).

 -- Stefan Fritsch <sf@debian.org>  Sun, 06 Apr 2008 18:09:53 +0200

apt-file (2.1.0) unstable; urgency=low

  [ Stefan Fritsch ]
  * Hijack package. New maintainer.
  * Add Thijs as uploader.
  * Acknowledge NMU (closes: #397381). Thanks to Gunnar Wolf and Kevin Glynn.
  * Import changes from Ubuntu. This fixes these bugs:
    - Regular expression search with -x does not really work (Closes: #259446)
    - fails to read /etc/apt/sources.list.d/ (Closes: #353275)
    - manpage says dpkg -S when it means dpkg -L (Closes: #376828)
    - please apply more complete patch to fix output (Closes: #382312)
    - silently fails when there are no file lists (Closes: #408309)
    - bash_completion: `_apt-file': not a valid identifier (Closes: #441041)
    - bash_completion does not complete filename after search command
      (Closes: #448358)
    - typo in apt-file.conf (Closes: #451840)
    Thanks to Daniel Hahler, Emmet Hikory, and Barry deFreese.
  * Fix misleading error message when cache dir does not exist
    (Closes: #456166).
  * Set umask on apt-file update to ensure cache is always world readable
    (Closes: #361878).
  * Don't show files repeatedly which are in the same package in several suites
    (Closes: #402228).
  * Allow bundling of short options (Closes: #384013).
  * Correctly extract file and directory names from apt config
    (Closes: #446621).
  * Use zfgrep to speed up non-regex searches (Closes: #470488). To be able to
    do this, we need a different way to trim the header of Contents.gz than
    used in the patch for bug #382312 (Closes: #293942).
  * Pass 'set -x' to the shell when in verbose mode.
  * Refactor apt-file.conf:
    - Move common code blocks in apt-file.conf to separate variables.
    - Use gunzip -l instead of file to check if a file is gzipped.
    - Fix misleading comments (Closes: #356790).
    - Remove chmod 644 since we now set umask correctly.
  * Correctly handle parentheses in regexp searches (Closes: #467619).
  * Correctly handle fixed string (-F) searches (Closes: #469375).
  * Remove update-notifier hook file when package is purged.
  * Remove cdbs build dependency.
  * Add vcs header to debian/control.

  [ Thijs Kinkhorst ]
  * Remove ancient versioned-depends on essential package gzip.
  * Add missing debhelper compat file.
  * Correct misspelled architecture variable name, makes architecture
    selection work again. Thanks Enno Cramer (Closes: #364411).
  * Change suggestion from ssh to openssh-client (Closes: #375578).
  * Many documentation cleanups (thanks Era Eriksson for some,
    Closes: #320322, #412133).
  * Rebuild man page from sgml during package build.
  * Change section to admin, following override.
  * Drop -N parameter from wget command since it's not allowed in
    combination with -O according to the manual (Closes: #380736).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 24 Mar 2008 10:47:28 +0100

apt-file (2.0.8.2ubuntu4) hardy; urgency=low

  * apt-file.bash_completion: use _apt_file instead of _apt-file for
    completion function (LP: #173057, Closes: #441041)

 -- Daniel Hahler <ubuntu@thequod.de>  Sun, 09 Mar 2008 17:42:01 +0100

apt-file (2.0.8.2ubuntu3) hardy; urgency=low

  * Improved "need to run apt-file update" experience (LP: #154180)
    - debian/apt-file.postinst:
      - Do not call apt-file update anymore directly
      - install update-notifier hook
    - debian/control: Depend on "menu" for su-to-root
    - apt-file: test if the cache directory is empty for actions
      search/find and show/list.
  * apt-file: reverted removal of leading slash in pattern and implement
    logic to match both without slash at the beginning and with slash
    inside (LP: #181600). Apply the same logic to regexp patterns (-x).
  * debian/rules:
    - moved DH_COMPAT=3 to debian/compat (increased to 5)
    - Fixed debian-rules-ignores-make-clean-error
    - Dropped binary-arch target
  * Fix typos/wording in README
  * apt-file.conf: Add integrity check for fetched files (LP: #176753)
  * apt-file: find_command: remove leading spaces and open parentheses
    before looking for the command, so that the new defaults in
    apt-file.conf work
  * apt-file: print output from command after executing it, so that
    errors and notes from there get to the user
  * debian/apt-file.postrm: added DEBHELPER marker
  * debian/control:
    - Dropped Build-Depends-Indep: debhelper (>> 3.0.0)
    - Build-Depends: debhelper (>= 5), cdbs
    - Standards-Version: 3.7.3
    - Recommend "file", which gets used optionally for the integrity check
  * apt-file.bash_completion: filename/directory completion for "search",
    patch taken from Debian bug #448358
  * apt-file/do_grep: only search in all cache files once (LP: #174134)
  * apt-file: fix display of warning in purge_cache, if the file cannot be
    deleted
  * Applied patches from Kevin Glynn in a lot of places, see Debian bug
    #382312). Thanks!
  * Support files in /etc/apt/sources.list.d/ (LP: #190602) (Closes: #353275)
    Patches from Amos Shapira and Andrew Schulman.

 -- Daniel Hahler <ubuntu@thequod.de>  Fri, 15 Feb 2008 00:18:52 +0100

apt-file (2.0.8.2ubuntu2) gutsy; urgency=low

  [Matti Lindell]
  * debian/control: Change Maintainer to XSBC-Original-Maintainer
  * Remove spurious files left from merge (LP: #119887)

  [Emmet Hikory]
  * Change manpage "list" description from dpkg -S to dpkg -L (LP: #107004)
  * Add bash-completion for apt-file show (LP: #106997)
  * Add apt-file.postinst to run apt-file update on install (LP: #74097)

 -- Emmet Hikory <emmet.hikory@gmail.com>  Sun, 17 Jun 2007 08:13:23 +0900

apt-file (2.0.8.2ubuntu1) feisty; urgency=low

  * Re-merge from Debian unstable.
  * Kept Ubuntu changes:
    *apt-file (2.0.8ubuntu2) edgy; urgency=low
      * Fix regexp handling (Closes Malone: #33485)
      * Thanks to Chris Moore
      * Fix man page issue (Closes Malone: #33483)
      * Thanks again to Chris Moore
    *apt-file (2.0.8ubuntu1) edgy; urgency=low
      * Fixed a typo in apt-file.conf
      * Stephen Hermann

 -- Barry deFreese <bddebian@comcast.net>  Wed,  6 Dec 2006 22:08:41 -0500

apt-file (2.0.8.2) unstable; urgency=low

  * Non-maintainer upload.
  * The Contents.gz files map a file to the list of packages that
    contain it. do_grep grabs all these packages, this fix
    post-processes its result so that we only print out the packages
    that do match the given pattern.  Also, take account that a file
    name may have spaces and avoid false positives by tightening the
    grep pattern.  NOTE: this is a minimal NMU patch to close
    important bug #382312 (it also closes two similar bugs).
    There is a more complete patch available in the bts for
    #382312 that I think would make apt-file much more useful and
    closes other bugs.     (Closes: #382312, #376607, #358821)
  * Updated Version String to 2.0.8.2 (Closes: #376458)

 -- Kevin Glynn <glynn@info.ucl.ac.be>  Mon,  6 Nov 2006 15:47:57 -0600

apt-file (2.0.8.1) unstable; urgency=low

  * Non-maintainer upload by Gunnar Wolf
  * Updated dependency on libconfigfile-perl to libconfig-file-perl;
    updated the reference in code to ConfigFile to point to Config::File
    instead as well. (Closes: #387018)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 27 Oct 2006 13:38:03 -0500

apt-file (2.0.8) unstable; urgency=low

  * Allow curl to redirect (Closes: #363670)
  * Download to temp file when using curl (Closes: #349585)
  * Remove cache when package purge (Closes: #362031)
  * Close old bugs (Closes: #319867)

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 20 Apr 2006 12:13:45 +0200

apt-file (2.0.7) unstable; urgency=low

  * change cache dir to /var/cache/apt-/apt-file (Closes: #341169)
  * fixed up "bad file descriptor" error when running in debug
    (Closes: #348527)
  * Changes configuration file to handle 404s and not erase
    existing Contents files (Closes: #349585)
  * changed configuration to not complain if Contents files are not
    in cache yet (Closes: #316310, #317964)
  * changed configuration to softly ignore missing Contents files
    (Closes: #316311)
  * changed configuration to permissions in cache directory
    (Closes: #319066)
  * minor fixes (Closes: #320318, #323641, #323682, #320313)
  * add find command as a search alias (Closes: #320737)

 -- Sebastien J. Gross <sjg@debian.org>  Thu,  2 Mar 2006 00:12:54 +0100

apt-file (2.0.6) unstable; urgency=low

  * Now ftp method works (Closes: #307971, #307973)
  * Add wget methods to config file (in comments) (Closes: #307972)

 -- Sebastien J. Gross <sjg@debian.org>  Mon,  9 May 2005 15:04:43 +0200

apt-file (2.0.5) unstable; urgency=low

  * Remove duplicate lines (Closes: #238852)
  * Search error fix (Closes:  #276394)
  * Remove tailling slash (Closes: #280690)
  * Add notes on both curl and wget (Closes: #307714, #229540, #226070)
  * Old bug closed (Closes: #217678)

 -- Sebastien J. Gross <sjg@debian.org>  Thu,  5 May 2005 18:00:15 +0200

apt-file (2.0.4) unstable; urgency=low

  * Update configuration file from wget to curl (Closes: #186846)
  * Fixed some typos (Closes: #264967, #236719)
  * Changes license/copyright (Closes: #290057)
  * Explicitly change Contents file to 644 (Closes: #271349)
  * "show" is now an alias for "list" (Closes: #286757)
  * add bash_completion (Closes: #301997)

 -- Sebastien J. Gross <sjg@debian.org>  Wed,  4 May 2005 15:32:10 +0200

apt-file (2.0.3-7) unstable; urgency=low

  * Add french man page (Closes: #235338)
  * As the wget backend can be changed in configuration file, apt-file
    recommends but does not depend on it (see #183942)
    (Closes: #237802, #242582)

 -- Sebastien J. Gross <sjg@debian.org>  Tue, 29 Jun 2004 10:56:58 +0200

apt-file (2.0.3-6) unstable; urgency=low

  * Added -x option (Thanks to Olaf Klischat)

 -- Sebastien J. Gross <sjg@debian.org>  Mon, 15 Mar 2004 00:38:23 +0100

apt-file (2.0.3-5) unstable; urgency=low

  * Fixed write in current directory when using FTP (Closes: #226969)

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 14 Jan 2004 01:56:07 +0100

apt-file (2.0.3-4) unstable; urgency=low

  * Fixed uninitialized values (Closes: #195198, #203607, #211439)
  * Fixed lines begining with spaces (Closes: #225269)
  * Fixed copy method in configuration file (Closes: #224485)

 -- Sebastien J. Gross <sjg@debian.org>  Mon, 12 Jan 2004 13:49:56 +0100

apt-file (2.0.3-3) unstable; urgency=low

  * Fixed typo in debian/changelog (Closes: #196959)
  * Fixed vendors information is included in sources.list (Closes: #206358)
  * Fixed update fails if experimental is used (Closes: #216894)
  Fixes thanks to Marc 'HE' Brockschmidt

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 22 Oct 2003 22:13:28 +0200

apt-file (2.0.3-2) unstable; urgency=low

  * Remove leading slash in pattern (Closes: #190122)

 -- Sebastien J. Gross <sjg@debian.org>  Fri, 16 May 2003 15:14:51 +0200

apt-file (2.0.3-1) unstable; urgency=low

  * Fixed some typos in manpage (Closes: #176774)
  * Regexp optimization (case insensitive support) (Closes: #193480)
  * Recommends wget (Closes: #183942)
  * Do not store empty files (Closes: #183270)
  * Quote filename passed to zcat (Closes: #185664)
  * Handles right cdrom device (Closes: #182382)

 -- Sebastien J. Gross <sjg@debian.org>  Fri, 16 May 2003 12:42:47 +0200

apt-file (2.0.2-1) unstable; urgency=low

  * Fixed inexistent content files (Closes: #172596)

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 11 Dec 2002 12:25:35 +0100

apt-file (2.0.1-2) unstable; urgency=low

  * Check pattern argument (Closes: #171573)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  3 Dec 2002 14:42:08 +0100

apt-file (2.0.1-1) unstable; urgency=low

  * Fix non-release line in sources.list causes failure (Closes: #171490)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  3 Dec 2002 12:13:15 +0100

apt-file (2.0.0) unstable; urgency=low

  * Entire program rewriting (Closes: #128553, #161393, #131146, #149188,
    #153544, #167258, #170720, #128769, #128850, #130308, #132966, #155769,
    #159569, #170672, #170674, #147442, #158038, #127338, #141039)

 -- Sebastien J. Gross <sjg@debian.org>  Mon,  2 Dec 2002 17:56:06 +0100

apt-file (0.2.3-3) unstable; urgency=low

  * Does not check write privilege but for update (Closes: #128466)
  * Fix typo in man page (Closes: #128551, #131366)
  * Update description (Closes: #133042)

 -- Sebastien J. Gross <sjg@debian.org>  Sat, 23 Feb 2002 17:17:03 +0100

apt-file (0.2.3-2) unstable; urgency=low

  * Fix return code
  * use http_proxy if needed

 -- Sebastien J. Gross <sjg@debian.org>  Wed,  9 Jan 2002 15:37:33 +0100

apt-file (0.2.3-1) unstable; urgency=low

  * Use ftp_proxy if needed (Closes: #128289)
  * Warns if file not found while fetching (Closes: #128290)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  8 Jan 2002 16:42:49 +0100

apt-file (0.2.2-5) unstable; urgency=low

  * Use locale architecture (closes #127025)
  * Create cache directory if unexistant (closes #128007)
  * Check write privilege on cache dir (closes #128008, #128007)

 -- Sebastien J. Gross <sjg@debian.org>  Mon,  7 Jan 2002 14:09:49 +0100

apt-file (0.2.2-4) unstable; urgency=low

  * Fix Undefined value (closes #127339)
  * Now use by default auto-apt cache dir (see Bug#126908)
  * Fix tabs breaks in sources.list (closes #127553)

 -- Sebastien J. Gross <sjg@debian.org>  Fri,  4 Jan 2002 12:08:25 +0100

apt-file (0.2.2-3) unstable; urgency=low

  * Fix package description (closes #126639)
  * Add auto-apt(1) cache support (closes #126908)

 -- Sebastien J. Gross <sjg@debian.org>  Sun, 30 Dec 2001 02:12:24 +0100

apt-file (0.2.2-2) unstable; urgency=low

  * Fix missing coma (closes #126862)

 -- Sebastien J. Gross <sjg@debian.org>  Sat, 29 Dec 2001 14:21:02 +0100

apt-file (0.2.2-1) unstable; urgency=low

  * Fix pattern search
  * Add multiple packages files
  * Add in to the Debian Project (closes #125386)

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 20 Dec 2001 17:50:15 +0100

apt-file (0.2.1-3) unstable; urgency=low

  * Add netbase and libwww-perl dependencies

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 20 Dec 2001 01:11:15 +0100

apt-file (0.2.1-2) unstable; urgency=low

  * Conf file location update

 --  Sebastien J. Gross <seb@sjgross.org>  Tue, 13 Nov 2001 04:45:25 +0200

apt-file (0.2.1-1) unstable; urgency=low

  * Improved regexp search
  * Add --version option
  * Disabled --recursive option
  * Add `gzip' dependancy
  * Add conffile

 -- Sebastien J. Gross <seb@sjgross.org>  Mon, 12 Nov 2001 21:55:25 +0200

apt-file (0.2.0-2) unstable; urgency=low

  * Changed bad value for CONF_FILE

 -- Sebastien J. Gross <seb@sjgross.org>  Wed, 17 Oct 2001 11:22:00 +0200

apt-file (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Sebastien J. Gross <seb@sjgross.org>  Sat, 13 Oct 2001 21:36:47 +0200

Local variables:
mode: debian-changelog
End:
